Page MenuHomePhabricator

Clean up cpjobqueue metrics
Closed, ResolvedPublic

Description

During the jobs switchover, cpjobqueue metrics were renamed multiple times and a lot of metric names are not reported anymore. This creates extra complexity on grafana dashboards since sophisticated regexing and filtering is needed to make the metric legends look nice.

Any metric that was not touched for more then a few days prefixed with cpjobqueue should be deleted from graphite. Providing an exact list of metrics is close to impossible now, because there's too many of them.

Event Timeline

Pchelolo triaged this task as Normal priority.May 31 2018, 12:21 PM
Pchelolo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2018, 12:21 PM
mobrovac added a subscriber: fgiunchedi.
fdans moved this task from Incoming to Radar on the Analytics board.Jun 4 2018, 3:56 PM
fgiunchedi moved this task from Backlog to Up next on the User-fgiunchedi board.Jun 14 2018, 3:06 PM

List of metrics at https://phabricator.wikimedia.org/P7262, I'll remove those if the list looks good.

The list is insanely long, I've poked around and didn't find anything that should remain. LGTM.

Mentioned in SAL (#wikimedia-operations) [2018-06-15T09:48:50Z] <godog> delete cpjobqueue metrics older than 10d - T196067

fgiunchedi closed this task as Resolved.Jun 15 2018, 9:49 AM
Vvjjkkii renamed this task from Clean up cpjobqueue metrics to 0wbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed fgiunchedi as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
mobrovac renamed this task from 0wbaaaaaaa to Clean up cpjobqueue metrics.Jul 1 2018, 11:17 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to fgiunchedi.
mobrovac lowered the priority of this task from High to Normal.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: fgiunchedi.